Bug 1067418 - Class loader problems using remote client
Summary: Class loader problems using remote client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ER3
: 6.0.2
Assignee: Maciej Swiderski
QA Contact: Jiri Svitak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-20 12:38 UTC by Jorge Perez Bolano
Modified: 2014-08-06 19:51 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:51:03 UTC
Type: Bug


Attachments (Terms of Use)
Server log from comment (52.50 KB, text/plain)
2014-02-26 11:44 UTC, Marco Rietveld
no flags Details

Description Jorge Perez Bolano 2014-02-20 12:38:12 UTC
Description of problem:

A project has a process that has a variable of a complex entity defined in data modeler.

Then I try to create a process instance using the remote client. Something like this:

RemoteRestRuntimeFactory remoteRestSessionFactory = new RemoteRestRuntimeFactory( DEPLOYMENT_ID, jbpmURL, "user", "password" );
RemoteRuntimeEngine runtimeEngine = remoteRestSessionFactory.newRuntimeEngine();

KieSession kieSession = runtimeEngine.getKieSession();
Map<String, Object> processVariables  = new HashMap<String, Object>();

MyInstance anInst = new MyInstance();
anInst.setProperty1("something");           

processVariables.put("myVar", anInst);

ProcessInstance processInstance = kieSession.startProcess( PROCESS_ID, processVariables );

It works ok. But if you build&deploy the project and execute the above code again a problem arises.

In log appears the typical error "A can not be cast to A"

If you restart the server, it works fine again.


Version-Release number of selected component (if applicable):

BPMS GA

Comment 2 Marco Rietveld 2014-02-20 22:51:44 UTC
Jorge, could you attach a server log, including the stack trace?

Comment 3 Jorge Perez Bolano 2014-02-21 09:34:28 UTC
Here the trace. The error that I mentioned before:

java.lang.ClassCastException: iberia.iberiacom.gestionreservas.Reserva cannot be cast to iberia.iberiacom.gestionreservas.Reserva

----


10:24:27,160 WARN  [org.drools.persistence.SingleSessionCommandService] (http-localhost/127.0.0.1:8080-2) Could not commit session: org.drools.core.RuntimeDroolsException: Unexpected exception executing action org.jbpm.process.instance.event.DefaultSignalManager$SignalAction@32595f0d
	at org.drools.core.common.AbstractWorkingMemory.executeQueuedActions(AbstractWorkingMemory.java:1246) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.executeQueuedActions(StatefulKnowledgeSessionImpl.java:892) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager.signalEvent(DefaultSignalManager.java:73) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.persistence.processinstance.JPASignalManager.signalEvent(JPASignalManager.java:37) [jbpm-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl$3.afterRuleFlowGroupDeactivated(ProcessRuntimeImpl.java:416) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl$AgendaEventListenerWrapper.afterRuleFlowGroupDeactivated(StatefulKnowledgeSessionImpl.java:723) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.event.AgendaEventSupport.fireAfterRuleFlowGroupDeactivated(AgendaEventSupport.java:168) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.innerDeactiveRuleFlowGroup(DefaultAgenda.java:700) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.getNextFocus(DefaultAgenda.java:525) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.fireNextItem(DefaultAgenda.java:924) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.fireAllRules(DefaultAgenda.java:1200) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.fireAllRules(AbstractWorkingMemory.java:957) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.fireAllRules(AbstractWorkingMemory.java:931) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.fireAllRules(StatefulKnowledgeSessionImpl.java:256) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.rule.FireAllRulesCommand.execute(FireAllRulesCommand.java:106) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.rule.FireAllRulesCommand.execute(FireAllRulesCommand.java:32) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.DefaultCommandService.execute(DefaultCommandService.java:36) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService$TransactionInterceptor.execute(SingleSessionCommandService.java:527) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService.execute(SingleSessionCommandService.java:375) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.CommandBasedStatefulKnowledgeSession.fireAllRules(CommandBasedStatefulKnowledgeSession.java:258) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.listeners.TriggerRulesEventListener.afterRuleFlowGroupActivated(TriggerRulesEventListener.java:84) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl$AgendaEventListenerWrapper.afterRuleFlowGroupActivated(StatefulKnowledgeSessionImpl.java:717) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.event.AgendaEventSupport.fireAfterRuleFlowGroupActivated(AgendaEventSupport.java:137) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.activateRuleFlowGroup(DefaultAgenda.java:677) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.activateRuleFlowGroup(DefaultAgenda.java:665) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.runtime.rule.impl.AgendaImpl.activateRuleFlowGroup(AgendaImpl.java:74) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.RuleSetNodeInstance.internalTrigger(RuleSetNodeInstance.java:79) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:337) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:296) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StartNodeInstance.triggerCompleted(StartNodeInstance.java:66) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StartNodeInstance.internalTrigger(StartNodeInstance.java:43) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.ruleflow.instance.RuleFlowProcessInstance.internalStart(RuleFlowProcessInstance.java:35) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.impl.ProcessInstanceImpl.start(ProcessInstanceImpl.java:222) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.start(WorkflowProcessInstanceImpl.java:358) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcessInstance(ProcessRuntimeImpl.java:189) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcess(ProcessRuntimeImpl.java:171) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.startProcess(AbstractWorkingMemory.java:1580) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.startProcess(StatefulKnowledgeSessionImpl.java:366) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.process.StartProcessCommand.execute(StartProcessCommand.java:121) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.process.StartProcessCommand.execute(StartProcessCommand.java:40) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.DefaultCommandService.execute(DefaultCommandService.java:36) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService$TransactionInterceptor.execute(SingleSessionCommandService.java:527) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.jpa.OptimisticLockRetryInterceptor.execute(OptimisticLockRetryInterceptor.java:73) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService.execute(SingleSessionCommandService.java:375) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.CommandBasedStatefulKnowledgeSession.execute(CommandBasedStatefulKnowledgeSession.java:498) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RestProcessRequestBean.doKieSessionOperation(RestProcessRequestBean.java:61) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RestProcessRequestBean$Proxy$_$$_WeldClientProxy.doKieSessionOperation(RestProcessRequestBean$Proxy$_$$_WeldClientProxy.java) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.ResourceBase.restProcessJaxbCommandsRequest(ResourceBase.java:77) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RuntimeResource.execute(RuntimeResource.java:101) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RuntimeResource$Proxy$_$$_WeldClientProxy.execute(RuntimeResource$Proxy$_$$_WeldClientProxy.java) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_45]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_45]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_45]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_45]
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:167) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:269) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:227) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:216) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:542) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:524) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:126) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.solder.servlet.exception.CatchExceptionFilter.doFilter(CatchExceptionFilter.java:65) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.solder.servlet.event.ServletEventBridgeFilter.doFilter(ServletEventBridgeFilter.java:74) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jbpm.designer.web.filter.impl.PluggableFilter.doFilter(PluggableFilter.java:70) [jbpm-designer-backend-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.uberfire.security.server.UberFireSecurityFilter.doFilter(UberFireSecurityFilter.java:266) [uberfire-security-server-0.3.2-redhat-2.jar:0.3.2-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:407) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:389) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]
Caused by: org.jbpm.workflow.instance.WorkflowRuntimeException: [ReservaNoFormProcess:3 - Print rules :3] -- iberia.iberiacom.gestionreservas.Reserva cannot be cast to iberia.iberiacom.gestionreservas.Reserva
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.executeAction(NodeInstanceImpl.java:188) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.ActionNodeInstance.internalTrigger(ActionNodeInstance.java:48) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:337) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:296) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl.triggerCompleted(ExtendedNodeInstanceImpl.java:44) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StateBasedNodeInstance.triggerCompleted(StateBasedNodeInstance.java:286) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StateBasedNodeInstance.triggerCompleted(StateBasedNodeInstance.java:265) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.RuleSetNodeInstance.signalEvent(RuleSetNodeInstance.java:116) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.signalEvent(WorkflowProcessInstanceImpl.java:405) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager.internalSignalEvent(DefaultSignalManager.java:81) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager$SignalAction.execute(DefaultSignalManager.java:181) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.executeQueuedActions(AbstractWorkingMemory.java:1244) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	... 98 more
Caused by: java.lang.ClassCastException: iberia.iberiacom.gestionreservas.Reserva cannot be cast to iberia.iberiacom.gestionreservas.Reserva
	at org.jbpm.Process_org$u46$jbpm$u46$ReservaNoFormProcess_540045010Action1Invoker.execute(Process_org$u46$jbpm$u46$ReservaNoFormProcess_540045010Action1Invoker.java:12)
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.executeAction(NodeInstanceImpl.java:182) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	... 110 more

10:24:27,166 WARN  [org.drools.persistence.SingleSessionCommandService] (http-localhost/127.0.0.1:8080-2) Could not commit session: org.jbpm.workflow.instance.WorkflowRuntimeException: [ReservaNoFormProcess:3 - Invoke rules :2] -- Unexpected exception executing action org.jbpm.process.instance.event.DefaultSignalManager$SignalAction@32595f0d
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:161) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:337) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:296) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StartNodeInstance.triggerCompleted(StartNodeInstance.java:66) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StartNodeInstance.internalTrigger(StartNodeInstance.java:43) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.ruleflow.instance.RuleFlowProcessInstance.internalStart(RuleFlowProcessInstance.java:35) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.impl.ProcessInstanceImpl.start(ProcessInstanceImpl.java:222) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.start(WorkflowProcessInstanceImpl.java:358) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcessInstance(ProcessRuntimeImpl.java:189) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcess(ProcessRuntimeImpl.java:171) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.startProcess(AbstractWorkingMemory.java:1580) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.startProcess(StatefulKnowledgeSessionImpl.java:366) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.process.StartProcessCommand.execute(StartProcessCommand.java:121) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.process.StartProcessCommand.execute(StartProcessCommand.java:40) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.DefaultCommandService.execute(DefaultCommandService.java:36) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService$TransactionInterceptor.execute(SingleSessionCommandService.java:527) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.jpa.OptimisticLockRetryInterceptor.execute(OptimisticLockRetryInterceptor.java:73) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService.execute(SingleSessionCommandService.java:375) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.CommandBasedStatefulKnowledgeSession.execute(CommandBasedStatefulKnowledgeSession.java:498) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RestProcessRequestBean.doKieSessionOperation(RestProcessRequestBean.java:61) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RestProcessRequestBean$Proxy$_$$_WeldClientProxy.doKieSessionOperation(RestProcessRequestBean$Proxy$_$$_WeldClientProxy.java) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.ResourceBase.restProcessJaxbCommandsRequest(ResourceBase.java:77) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RuntimeResource.execute(RuntimeResource.java:101) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RuntimeResource$Proxy$_$$_WeldClientProxy.execute(RuntimeResource$Proxy$_$$_WeldClientProxy.java) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_45]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_45]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_45]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_45]
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:167) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:269) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:227) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:216) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:542) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:524) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:126) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.solder.servlet.exception.CatchExceptionFilter.doFilter(CatchExceptionFilter.java:65) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.solder.servlet.event.ServletEventBridgeFilter.doFilter(ServletEventBridgeFilter.java:74) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jbpm.designer.web.filter.impl.PluggableFilter.doFilter(PluggableFilter.java:70) [jbpm-designer-backend-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.uberfire.security.server.UberFireSecurityFilter.doFilter(UberFireSecurityFilter.java:266) [uberfire-security-server-0.3.2-redhat-2.jar:0.3.2-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:407) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:389) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]
Caused by: org.drools.core.RuntimeDroolsException: Unexpected exception executing action org.jbpm.process.instance.event.DefaultSignalManager$SignalAction@32595f0d
	at org.drools.core.common.AbstractWorkingMemory.executeQueuedActions(AbstractWorkingMemory.java:1246) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.executeQueuedActions(StatefulKnowledgeSessionImpl.java:892) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager.signalEvent(DefaultSignalManager.java:73) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.persistence.processinstance.JPASignalManager.signalEvent(JPASignalManager.java:37) [jbpm-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl$3.afterRuleFlowGroupDeactivated(ProcessRuntimeImpl.java:416) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl$AgendaEventListenerWrapper.afterRuleFlowGroupDeactivated(StatefulKnowledgeSessionImpl.java:723) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.event.AgendaEventSupport.fireAfterRuleFlowGroupDeactivated(AgendaEventSupport.java:168) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.innerDeactiveRuleFlowGroup(DefaultAgenda.java:700) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.getNextFocus(DefaultAgenda.java:525) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.fireNextItem(DefaultAgenda.java:924) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.fireAllRules(DefaultAgenda.java:1200) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.fireAllRules(AbstractWorkingMemory.java:957) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.fireAllRules(AbstractWorkingMemory.java:931) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.fireAllRules(StatefulKnowledgeSessionImpl.java:256) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.rule.FireAllRulesCommand.execute(FireAllRulesCommand.java:106) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.rule.FireAllRulesCommand.execute(FireAllRulesCommand.java:32) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.DefaultCommandService.execute(DefaultCommandService.java:36) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService$TransactionInterceptor.execute(SingleSessionCommandService.java:527) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService.execute(SingleSessionCommandService.java:375) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.CommandBasedStatefulKnowledgeSession.fireAllRules(CommandBasedStatefulKnowledgeSession.java:258) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.listeners.TriggerRulesEventListener.afterRuleFlowGroupActivated(TriggerRulesEventListener.java:84) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl$AgendaEventListenerWrapper.afterRuleFlowGroupActivated(StatefulKnowledgeSessionImpl.java:717) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.event.AgendaEventSupport.fireAfterRuleFlowGroupActivated(AgendaEventSupport.java:137) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.activateRuleFlowGroup(DefaultAgenda.java:677) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.activateRuleFlowGroup(DefaultAgenda.java:665) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.runtime.rule.impl.AgendaImpl.activateRuleFlowGroup(AgendaImpl.java:74) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.RuleSetNodeInstance.internalTrigger(RuleSetNodeInstance.java:79) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	... 70 more
Caused by: org.jbpm.workflow.instance.WorkflowRuntimeException: [ReservaNoFormProcess:3 - Print rules :3] -- iberia.iberiacom.gestionreservas.Reserva cannot be cast to iberia.iberiacom.gestionreservas.Reserva
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.executeAction(NodeInstanceImpl.java:188) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.ActionNodeInstance.internalTrigger(ActionNodeInstance.java:48) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:337) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:296) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl.triggerCompleted(ExtendedNodeInstanceImpl.java:44) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StateBasedNodeInstance.triggerCompleted(StateBasedNodeInstance.java:286) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StateBasedNodeInstance.triggerCompleted(StateBasedNodeInstance.java:265) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.RuleSetNodeInstance.signalEvent(RuleSetNodeInstance.java:116) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.signalEvent(WorkflowProcessInstanceImpl.java:405) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager.internalSignalEvent(DefaultSignalManager.java:81) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager$SignalAction.execute(DefaultSignalManager.java:181) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.executeQueuedActions(AbstractWorkingMemory.java:1244) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	... 98 more
Caused by: java.lang.ClassCastException: iberia.iberiacom.gestionreservas.Reserva cannot be cast to iberia.iberiacom.gestionreservas.Reserva
	at org.jbpm.Process_org$u46$jbpm$u46$ReservaNoFormProcess_540045010Action1Invoker.execute(Process_org$u46$jbpm$u46$ReservaNoFormProcess_540045010Action1Invoker.java:12)
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.executeAction(NodeInstanceImpl.java:182) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	... 110 more

10:24:27,173 WARN  [org.kie.services.remote.rest.ResourceBase] (http-localhost/127.0.0.1:8080-2) Unable to execute StartProcessCommand/0 because of WorkflowRuntimeException: [ReservaNoFormProcess:3 - Invoke rules :2] -- Unexpected exception executing action org.jbpm.process.instance.event.DefaultSignalManager$SignalAction@32595f0d: org.jbpm.workflow.instance.WorkflowRuntimeException: [ReservaNoFormProcess:3 - Invoke rules :2] -- Unexpected exception executing action org.jbpm.process.instance.event.DefaultSignalManager$SignalAction@32595f0d
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:161) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:337) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:296) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StartNodeInstance.triggerCompleted(StartNodeInstance.java:66) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StartNodeInstance.internalTrigger(StartNodeInstance.java:43) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.ruleflow.instance.RuleFlowProcessInstance.internalStart(RuleFlowProcessInstance.java:35) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.impl.ProcessInstanceImpl.start(ProcessInstanceImpl.java:222) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.start(WorkflowProcessInstanceImpl.java:358) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcessInstance(ProcessRuntimeImpl.java:189) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcess(ProcessRuntimeImpl.java:171) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.startProcess(AbstractWorkingMemory.java:1580) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.startProcess(StatefulKnowledgeSessionImpl.java:366) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.process.StartProcessCommand.execute(StartProcessCommand.java:121) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.process.StartProcessCommand.execute(StartProcessCommand.java:40) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.DefaultCommandService.execute(DefaultCommandService.java:36) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService$TransactionInterceptor.execute(SingleSessionCommandService.java:527) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.jpa.OptimisticLockRetryInterceptor.execute(OptimisticLockRetryInterceptor.java:73) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService.execute(SingleSessionCommandService.java:375) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.CommandBasedStatefulKnowledgeSession.execute(CommandBasedStatefulKnowledgeSession.java:498) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RestProcessRequestBean.doKieSessionOperation(RestProcessRequestBean.java:61) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RestProcessRequestBean$Proxy$_$$_WeldClientProxy.doKieSessionOperation(RestProcessRequestBean$Proxy$_$$_WeldClientProxy.java) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.ResourceBase.restProcessJaxbCommandsRequest(ResourceBase.java:77) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RuntimeResource.execute(RuntimeResource.java:101) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.kie.services.remote.rest.RuntimeResource$Proxy$_$$_WeldClientProxy.execute(RuntimeResource$Proxy$_$$_WeldClientProxy.java) [kie-services-remote-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_45]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_45]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_45]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_45]
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:167) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:269) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:227) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:216) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:542) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:524) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:126) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50) [resteasy-jaxrs-2.3.6.Final-redhat-1.jar:2.3.6.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.solder.servlet.exception.CatchExceptionFilter.doFilter(CatchExceptionFilter.java:65) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.solder.servlet.event.ServletEventBridgeFilter.doFilter(ServletEventBridgeFilter.java:74) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jbpm.designer.web.filter.impl.PluggableFilter.doFilter(PluggableFilter.java:70) [jbpm-designer-backend-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.uberfire.security.server.UberFireSecurityFilter.doFilter(UberFireSecurityFilter.java:266) [uberfire-security-server-0.3.2-redhat-2.jar:0.3.2-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:407) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:389) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]
Caused by: org.drools.core.RuntimeDroolsException: Unexpected exception executing action org.jbpm.process.instance.event.DefaultSignalManager$SignalAction@32595f0d
	at org.drools.core.common.AbstractWorkingMemory.executeQueuedActions(AbstractWorkingMemory.java:1246) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.executeQueuedActions(StatefulKnowledgeSessionImpl.java:892) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager.signalEvent(DefaultSignalManager.java:73) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.persistence.processinstance.JPASignalManager.signalEvent(JPASignalManager.java:37) [jbpm-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.ProcessRuntimeImpl$3.afterRuleFlowGroupDeactivated(ProcessRuntimeImpl.java:416) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl$AgendaEventListenerWrapper.afterRuleFlowGroupDeactivated(StatefulKnowledgeSessionImpl.java:723) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.event.AgendaEventSupport.fireAfterRuleFlowGroupDeactivated(AgendaEventSupport.java:168) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.innerDeactiveRuleFlowGroup(DefaultAgenda.java:700) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.getNextFocus(DefaultAgenda.java:525) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.fireNextItem(DefaultAgenda.java:924) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.fireAllRules(DefaultAgenda.java:1200) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.fireAllRules(AbstractWorkingMemory.java:957) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.fireAllRules(AbstractWorkingMemory.java:931) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.fireAllRules(StatefulKnowledgeSessionImpl.java:256) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.rule.FireAllRulesCommand.execute(FireAllRulesCommand.java:106) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.runtime.rule.FireAllRulesCommand.execute(FireAllRulesCommand.java:32) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.DefaultCommandService.execute(DefaultCommandService.java:36) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService$TransactionInterceptor.execute(SingleSessionCommandService.java:527) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.persistence.SingleSessionCommandService.execute(SingleSessionCommandService.java:375) [drools-persistence-jpa-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.command.impl.CommandBasedStatefulKnowledgeSession.fireAllRules(CommandBasedStatefulKnowledgeSession.java:258) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.listeners.TriggerRulesEventListener.afterRuleFlowGroupActivated(TriggerRulesEventListener.java:84) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl$AgendaEventListenerWrapper.afterRuleFlowGroupActivated(StatefulKnowledgeSessionImpl.java:717) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.event.AgendaEventSupport.fireAfterRuleFlowGroupActivated(AgendaEventSupport.java:137) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.activateRuleFlowGroup(DefaultAgenda.java:677) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.DefaultAgenda.activateRuleFlowGroup(DefaultAgenda.java:665) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.runtime.rule.impl.AgendaImpl.activateRuleFlowGroup(AgendaImpl.java:74) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.RuleSetNodeInstance.internalTrigger(RuleSetNodeInstance.java:79) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	... 70 more
Caused by: org.jbpm.workflow.instance.WorkflowRuntimeException: [ReservaNoFormProcess:3 - Print rules :3] -- iberia.iberiacom.gestionreservas.Reserva cannot be cast to iberia.iberiacom.gestionreservas.Reserva
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.executeAction(NodeInstanceImpl.java:188) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.ActionNodeInstance.internalTrigger(ActionNodeInstance.java:48) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:155) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:337) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:296) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl.triggerCompleted(ExtendedNodeInstanceImpl.java:44) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StateBasedNodeInstance.triggerCompleted(StateBasedNodeInstance.java:286) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.StateBasedNodeInstance.triggerCompleted(StateBasedNodeInstance.java:265) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.node.RuleSetNodeInstance.signalEvent(RuleSetNodeInstance.java:116) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.signalEvent(WorkflowProcessInstanceImpl.java:405) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager.internalSignalEvent(DefaultSignalManager.java:81) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.jbpm.process.instance.event.DefaultSignalManager$SignalAction.execute(DefaultSignalManager.java:181) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	at org.drools.core.common.AbstractWorkingMemory.executeQueuedActions(AbstractWorkingMemory.java:1244) [drools-core-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	... 98 more
Caused by: java.lang.ClassCastException: iberia.iberiacom.gestionreservas.Reserva cannot be cast to iberia.iberiacom.gestionreservas.Reserva
	at org.jbpm.Process_org$u46$jbpm$u46$ReservaNoFormProcess_540045010Action1Invoker.execute(Process_org$u46$jbpm$u46$ReservaNoFormProcess_540045010Action1Invoker.java:12)
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.executeAction(NodeInstanceImpl.java:182) [jbpm-flow-6.0.2-redhat-2.jar:6.0.2-redhat-2]
	... 110 more

Comment 4 Marco Rietveld 2014-02-26 11:44:13 UTC
Created attachment 867939 [details]
Server log from comment

Comment 5 Kris Verlaenen 2014-02-28 18:22:39 UTC
Requesting blocker status, as the impact of this seems more significant than expected:
"JAXBContext was static and worked only for single deployment - the one that was accessed first, classes from other deployments would not have been used as the ContextResolver is invoked only once per given class type (in out case there are only two types - JaxbCommandsRequest and JaxbCommandsResponse) and then cached"

Comment 6 Maciej Swiderski 2014-03-02 13:05:41 UTC
adding commit in master, it still needs to be verified on other app servers

droolsjbpm-integration
master:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/0359c14a38c55e82c484ffa2106a6ea721ece626

Comment 9 Marek Baluch 2014-03-12 19:11:36 UTC
Verified on 6.0.1.ER2.

Comment 10 Marco Rietveld 2014-05-26 15:39:54 UTC
Long story short: this issue occurred again due to a fix I made that "undid" the fix Maciej made (but that fixed another issue, of course). 

We realized Friday afternoon that the original issue was back, which is why I created a fix. 

Fixed. Commits: 

6.0.x: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/da4746fa
https://github.com/droolsjbpm/kie-wb-distributions/commit/fdfd0c5d

master: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/8a36bac1
https://github.com/droolsjbpm/kie-wb-distributions/commit/3e0b19cb

Comment 11 Michael 2014-05-26 16:03:33 UTC
commits cherry-picked to 6.0.2.ER3

droolsjbpm-integration = 2acc398348d15543e3859f41b85fceb812b06f32
kie-wb-distribution = 490e552d92c923c546e6e55d57527d9358a6df2b

Comment 14 Jiri Svitak 2014-06-06 16:43:18 UTC
Verified in BPMS 6.0.2.ER3.


Note You need to log in before you can comment on or make changes to this bug.